Bug 1389627 - remove External Reports feature
Summary: remove External Reports feature
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-28 04:30 UTC by Dan Callaghan
Modified: 2017-02-21 18:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-21 18:50:38 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2016-10-28 04:30:51 UTC
The External Reports feature (Reports -> External from the menu, /reports/external) was introduced in Beaker 0.11 as a way to link to reporting functionality hosted by or stored in other systems. This was at a time when Beaker's web UI was not themeable (so there was no way to add site-specific links to the Help menu, as we have now) and Beaker was receiving a lot of RFEs relating to reporting, metrics, and data mining.

Since this feature has not been used in any Beaker instances aside from Red Hat's (as far as we know) and even there it was never really used, we should remove it, instead of continuing to maintain it (bug 1201127) or improve it (porting to Backbone).

Comment 2 Roman Joost 2016-10-28 05:34:34 UTC
Sounds good to me. Less to maintain, more time for the important features.

Comment 3 Dan Callaghan 2016-10-31 03:34:40 UTC
http://gerrit.beaker-project.org/5383

Comment 6 Dan Callaghan 2017-02-21 18:50:38 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.